## texlive-bin 2014.20140926.35254

=== extra/epstopdf/Makefile ===
# $Id: Makefile 34293 2014-06-18 18:16:38Z karl $
# This file is public domain.  (Originally written by Karl Berry, 2009.)

prg = epstopdf
e2p = ./$(prg).pl #--debug
re2p = ./r$(prg) --restricted
re2p_script = ./r$(prg)

default: 

# These are not comprehensive tests by any means.  Mostly we're just
# making sure we don't crash.
check: check-help check-version \
       check-help-r \
       check-nogs \
       check-restricted-gscmd \
       check-gscmd check-gsopt check-gsopts \
       check-filter check-filter-outfile check-write-error check-gscmd \
       check-restricted-safe-in check-restricted-safe-out \
       check-simple check-atend check-binary check-bin2 \
       check-binhdr-lf check-binhdr-cr check-binhdr-crlf \
       check-percent \
       check-tn5002 #check-floral

check-help:
	$(e2p) --help

check-version:
	$(e2p) --version

check-help-r: $(re2p_script)
	$(re2p_script) --help | grep restricted  # should have default=true

check-nogs:
	$(e2p) --no-gs test-simple.eps >test-simple.out
# the two files should be different:
	cmp -s test-simple.eps test-simple.out || exit 0
	
$(re2p_script):
	ln -s $(prg).pl $@

check-restricted-gscmd:
	! $(re2p) --gscmd=/bin/unsafe test-simple.eps
	! $(re2p) --gscmd=unsafe test-simple.eps

check-restricted-safe-in:
	! $(re2p) /unsafe/in.eps

check-restricted-safe-out:
	! $(re2p) test-simple.eps -o /unsafe/out.eps

check-filter:
	cat test-simple.eps | $(e2p) --filter >test-filter.pdf
	pdfinfo test-filter.pdf | grep "Page size:"

check-filter-outfile:
	rm -f test-filter.pdf
	cat test-simple.eps | $(e2p) --filter --outfile=test-filter.pdf
	pdfinfo test-filter.pdf | grep "Page size:"
#
	rm -f test-filter.pdf
	cat test-simple.eps | $(e2p) --outfile=test-filter.pdf --filter
	pdfinfo test-filter.pdf | grep "Page size:"

check-write-error:
	-$(e2p) test-simple.eps --outfile=/dev/full

check-gscmd:
	-$(e2p) --gscmd=true test-simple.eps
	-$(e2p) --gscmd='foo bar' test-simple.eps # fails

check-gsopt:
	-$(e2p) --gscmd=echo --gsopt=foo --gsopt=bar test-simple.eps
	-$(e2p) --restricted --gsopt=bar test-simple.eps # fails

check-gsopts:
	-$(e2p) --gscmd=echo --gsopts='foo bar' test-simple.eps
	-$(e2p) --restricted --gsopts=bar test-simple.eps # fails

check-simple:
	$(MAKE) file=test-simple check1

check-atend:
	$(MAKE) file=test-atend check1

check-binary:
	$(MAKE) file=test-binary check1

check-bin2:
	$(MAKE) file=test-bin2 check1

check-binhdr-lf:
	$(MAKE) file=test-binhdr-lf check1

check-binhdr-cr:
	$(MAKE) file=test-binhdr-cr check1

check-binhdr-crlf:
	$(MAKE) file=test-binhdr-crlf check1

check-percent:
	$(MAKE) file=test-per%cent check1
	test -s test-per%cent.pdf

check-tn5002:
	$(MAKE) file=test-tn5002-cr check1
	$(MAKE) file=test-tn5002-crlf check1
	$(MAKE) file=test-tn5002-lf check1

# complicated, from http://www.vectorfloral.com/floral-swirly-flowers-with-butterflies-vector-graphic-174.html
# another, even bigger, is at http://www.backgroundvector.com/abstract-colorful-background-vector-image-94.html
# both are CC-BY 3.0.
check-floral:
	$(MAKE) file=test-floral check1

check1:
	$(e2p) $(file).eps 
	pdfinfo $(file).pdf | grep "Page size"

# put tar contents in a directory for CTAN.
dist: $(prg).tar.gz $(prg).html
.PHONY: dist
$(prg).tar.gz: README $(prg).pl $(prg).1 r$(prg).1 $(prg).man1.pdf
	rm -rf $(prg); mkdir $(prg)
	cp $^ $(prg)
	tar cvzf $(prg).tar.gz $(prg)
	rm -rf $(prg)
	# upload .tar.gz to ctan.org/upload, mv .html ~www/$(prg).

groff = groff
groff_opts = -man -t
pspdf = ps2pdf -sPAPERSIZE=a4
$(prg).man1.pdf: $(prg).1
	$(groff) $(groff_opts) $< | $(pspdf) - $@
$(prg).html: $(prg).1
	$(groff) $(groff_opts) -Thtml $< >$@
show-man:
	man ./$(prg).1 | col -b
#	$(groff) $(groff_opts) -Tascii -M. -mraggedright -P-cbouU $(prg).1
# -P-c... avoids ANSI color sequences and backspaces in the output.

=== libs/gd/libgd-2.1.0/tests/gdimagearc/CMakeLists.txt ===
SET(TESTS_FILES
	bug00079
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== libs/gd/libgd-2.1.0/tests/gdimagecolorexact/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolorexact
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== libs/gd/libgd-2.1.0/tests/gdimagecopyrotated/CMakeLists.txt ===

SET(TESTS_FILES
	bug00020
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== libs/gd/libgd-2.1.0/tests/gdimageopenpolygon/CMakeLists.txt ===
SET(TESTS_FILES
	gdimageopenpolygon0
	gdimageopenpolygon1
	gdimageopenpolygon2
	gdimageopenpolygon3
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== libs/gd/libgd-2.1.0/tests/gdimagestringftex/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagestringftex_returnfontpathname
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== debian/changelog ===
texlive-bin (2014.20140926.35254-6) unstable; urgency=high

  * cherrypick security fix for libpng CVE-2015-0973 (Closes: #775673)
    Restored a test on width that was removed from png.c at libpng-1.6.9

 -- Norbert Preining <preining@debian.org>  Sun, 18 Jan 2015 23:45:42 +0900

texlive-bin (2014.20140926.35254-5) unstable; urgency=high

  * fix insecure temp file creation in mktexlsr (Closes: #775139)

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jan 2015 07:32:13 +0900

texlive-bin (2014.20140926.35254-4) unstable; urgency=high

  * cherrypick security fix for libpng buffer overflow (Closes: #773824)
    (CVE-2014-9495)

 -- Norbert Preining <preining@debian.org>  Wed, 24 Dec 2014 09:18:29 +0900

texlive-bin (2014.20140926.35254-3) unstable; urgency=medium

  * cherrypick fixes from upstream svn:
    - fix enctex reading \^^ab control sequences
    - fix mpost reading fontmap file multiple times (Closes: #767967)
    - dvipdfmx fixes:
      . fix pk support
      . correct behaviour for subtractions in pkfont.c
      . fix crash when gqpn is unset
      . support for ghostscript 9.15
      . fix bug in spc_dvips_at_end_page (wrong logic)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 06 Nov 2014 09:37:33 +0900

texlive-bin (2014.20140926.35254-2) unstable; urgency=medium

  * remove libxp build dep (Closes: #763304)
  * Fix arm64 build by correctly qulifying neon code (Closes: #763711)
    (Thanks to Wookey)

 -- Norbert Preining <preining@debian.org>  Thu, 02 Oct 2014 14:26:50 +0900

texlive-bin (2014.20140926.35254-1) unstable; urgency=medium

  * Imported Upstream version 2014.20140926.35254
  * Upload to unstable

 -- Norbert Preining <preining@debian.org>  Fri, 26 Sep 2014 13:59:57 +0900

texlive-bin (2014.20140923.35230-2) experimental; urgency=medium

  * Remove --disable-largefile which breaks omegafonts on i386 archs

 -- Norbert Preining <preining@debian.org>  Thu, 25 Sep 2014 16:32:55 +0900

texlive-bin (2014.20140923.35230-1) experimental; urgency=medium

  * Imported Upstream version 2014.20140923.35230
  * update patches, remove included (u)pmpost entries

 -- Norbert Preining <preining@debian.org>  Tue, 23 Sep 2014 11:05:13 +0900

texlive-bin (2014.20140825.35035-1) experimental; urgency=medium

  * include current svn status targeting TL2015:
    - fixes memleak in synctex (Closes: #756761)
    - fixes for support CID-keyed OTF fonts in xdvipdfmx

 -- Norbert Preining <preining@debian.org>  Mon, 25 Aug 2014 10:57:04 +0900

texlive-bin (2014.20140528.34243-6) UNRELEASED; urgency=medium

  * cherrypick support CID-keyed OTF fonts in xdvipdfmx from upstream
  * cherrypick compiler warning fix for above patch
  * fix memleak in synctex (Closes: #756761), thanks Sebastian Ramacher
  * cherrypick a fix for unicode encoding in CFF/Opentype fonts

 -- Norbert Preining <preining@debian.org>  Mon, 04 Aug 2014 08:24:42 +0900

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/sh

#
# the configure code already checks a lot, but it does not catch
# all cases. We have now two ways to test for where to build.
# One by disabling on the other platforms, one by whitelisting
# and building only on some platforms.
LUAJIT_FAIL_ARCHS := s390x hppa arm64 ppc64 ppc64el x32 mips64 mips64el m68k
LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc 

# In case one wants to build with old automake (<< 1.13.1), the following
# variable has to be set. By default the debian/control requires high
# enough versions of automake and friends
#export AM_V_P=false

DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
# gcc-4.9 creates broken binaries on s390x, see #753575,
# fix is to use -O1
# see below for a tentative fix that only compiles
# pdftex0.c, but somehow the make check still fails on
# the same tests, while doing the check manually works, strange?!
ifeq ($(DEB_HOST_ARCH), s390x)
  export CFLAGS = -O1
  export CXXFLAGS = -O1
endif

# for blacklisting bad archs
#ifneq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_FAIL_ARCHS)))
#  DISABLE_JIT=--disable-luajittex
#endif

# for whitelisting good archs
ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
  # it is not in the list of good archs -> disable luajittex
  BUILDLUAJITTEX=--disable-luajittex
else
  # not necessary, but for completeness
  BUILDLUAJITTEX=--enable-luajittex
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS = -marm
endif

# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --with autoreconf --builddirectory Work

override_dh_autoreconf:
	dh_autoreconf --as-needed

#
# we need libpng >= 1.4 which is not available in unstable and
# seems not to arrive anytime soon. We have to rebuild also
# the following depending libs with new libpng: gd freetype2 cairo
#	--with-system-freetype2			\
	--with-freetype2-include=/usr/include/freetype2 \
#	--with-system-libpng			\
#	--with-system-gd			\
#	--with-system-cairo 			\
#

# disable-largefile seems to break omegafonts, as they core dump
# leave it as is for now and see what else pops up
#	--disable-largefile			\

override_dh_auto_configure:
	# we have to make sure that the mendex test case that is added
	# by a patch is executable
	chmod 0755 texk/mendexk/tests/mendex.test
	# run out configure script
	dh_auto_configure -- -C --prefix=/usr 	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-missing			\
	--disable-linked-scripts		\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-zzlib			\
	--with-system-xpdf			\
	--with-system-poppler			\
	--with-system-potrace			\
	--with-system-graphite2			\
	--with-system-harfbuzz 			\
	--with-system-libgs			\
	--with-system-pixman			\
	--with-system-libpaper			\
	--with-system-zziplib			\
	--with-system-icu			\
	--with-system-gmp			\
	--with-system-mpfr			\
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	$(BUILDLUAJITTEX)			\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-musixflx			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-tex4htk			\
	--disable-pmx				\
	--disable-m-tx				\
	--disable-texdoctk			\
	--disable-ttf2pk			\
	--enable-ttf2pk2			\
	--enable-ipc				

#
# the below should actually solve the problem for s390x
# by only recompiling pdftex0.c with -O1, but somehow
# the test suite still does not succeed, while running
# the same test manually succeeds. I have no idea. 
# Giving up here.
# Sorry s390x, hope for a fix for the gcc bug ...
#override_dh_auto_build:
#	dh_auto_build
#ifeq ($(DEB_HOST_ARCH), s390x)
#	# gcc-4.9 creates broken binaries on s390x, see #753575,
#	# we have to recompile pdftex0.c with -O1 otherwise tests fail
#	cp Work/texk/web2c/Makefile Work/texk/web2c/Makefile.backup
#	cat Work/texk/web2c/Makefile.backup | sed -e 's/\$$(CFLAGS) -c -o pdftex-pdftex0.o/-g -O1 -c -o pdftex-pdftex0.c/' > Work/texk/web2c/Makefile
#	touch Work/texk/web2c/pdftex0.c
#	rm Work/texk/web2c/pdftex
#	rm -f Work/texk/web2c/.libs/pdftex
#	make -C Work/texk/web2c pdftex
#endif

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	# replace xdvi wrapper shell script with perl variant to
	# allow for opening of gz etc files
	rm debian/texlive-binaries/usr/bin/xdvi
	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	# remove tlbuild info document, not needed
	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
	rm debian/texlive-binaries/usr/share/man/man1/latex.1*
	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
	# fix EUCJ encoding of mendex.1
	recode EUC-JP..UTF8 debian/texlive-binaries/usr/share/man/man1/mendex.1
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/COPYRIGHT texk/ptexenc/README
	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/AUTHORS \
		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
		texk/kpathsea/README
	dh_installdocs -plibsynctex1 -plibsynctex-dev \
		texk/web2c/synctexdir/README.txt	\
		texk/web2c/synctexdir/synctex_parser_readme.txt

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/ChangeLog
	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/ChangeLog
	dh_installchangelogs -plibsynctex1 -plibsynctex-dev \
		texk/web2c/synctexdir/ChangeLog

override_dh_compress:
	dh_compress -X.pdf

override_dh_makeshlibs:
	dh_makeshlibs -plibkpathsea6
	dh_makeshlibs -plibptexenc1
	dh_makeshlibs -plibsynctex1

override_dh_shlibdeps:
	dh_shlibdeps \
		-l debian/libkpathsea6/usr/lib \
		-l debian/libptexenc1/usr/lib \
		-l debian/libsynctex1/usr/lib

override_dh_clean:
	dh_clean -X.orig

## texlive-bin 2015.20150524.37493

=== debian/changelog ===
texlive-bin (2015.20150524.37493-5build1) wily; urgency=medium

  * Rebuild for icu 55.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 21:22:02 +0000

texlive-bin (2015.20150524.37493-5) unstable; urgency=medium

  * mv c-auto.h back into /usr/include/kpathsea, we need a different
    approach for multi-arch than upstream TeX Live, thanks Jakub Wilk.
  * also remove the /usr/lib entry from the pkgconfig file for kpathsea

 -- Norbert Preining <preining@debian.org>  Thu, 02 Jul 2015 08:46:11 +0900

texlive-bin (2015.20150524.37493-4) unstable; urgency=medium

  * fix missing c-auto.h install (Closes: #790294)
  * add --fail-missing to dh_install call to make sure that we get
    warned if new files are installed
  * use mktemp instead of hard-coded tmp dir in dvitohp (Closes: #496899)
  * do not install texconfig-dialog man page

 -- Norbert Preining <preining@debian.org>  Tue, 30 Jun 2015 12:58:41 +0900

texlive-bin (2015.20150524.37493-3) unstable; urgency=medium

  * fix deps for archs were not luajittex is available (Closes: #790006)

 -- Norbert Preining <preining@debian.org>  Fri, 26 Jun 2015 16:53:02 +0900

texlive-bin (2015.20150524.37493-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:58:57 +0900

texlive-bin (2015.20150524.37493-1) experimental; urgency=medium

  * Imported Upstream version 2015.20150524.37493
  * pin all of own libs to exact version
  * add git support in make-orig-tar
  * unfuzzify patches, disable relax luazlib version check
  * re-include libpoppler in new sources, debian's version is too old
    use --without-system-poppler and --with-system-xpdf
    as we need system xpdf/poppler for pdftex/xetex
  * add lintian overrides for the errors reported due to embedded libs
  * build libtexlua and libtexluajit libraries
  * bump tex-common dep to 6
  * remove fmtutil code from postinst and use triggers
  * add licenses of embedded libraries to debian/copyright

 -- Norbert Preining <preining@debian.org>  Tue, 09 Jun 2015 09:15:02 +0900

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, zlib1g-dev | libz-dev, flex, bison, libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libpixman-1-dev (>= 0.32.4), libzzip-dev (>= 0.12), libharfbuzz-dev (>= 0.9.18-3), libicu-dev, recode, texinfo, automake (>= 1:1.13.1), autoconf (>= 2.69), libtool (>= 2.4.2), m4 (>= 1.4.16), libpotrace-dev (>= 1.11), libxi-dev, libpaper-dev, libmpfr-dev, libgmp-dev, libpoppler-private-dev (>= 0.12.4)
Standards-Version: 3.9.6
Homepage: http://www.tug.org/texlive/
Vcs-Git: git://anonscm.debian.org/debian-tex/texlive-bin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texlive-bin.git

Package: texlive-binaries
Architecture: any
Depends: libptexenc1 (>= ${source:Version}), 
  libptexenc1 (<< ${source:Version}.1~), 
  libkpathsea6 (>= ${source:Version}), 
  libkpathsea6 (<< ${source:Version}.1~), 
  libsynctex1 (>= ${source:Version}), 
  libsynctex1 (<< ${source:Version}.1~), 
  libtexlua52 (>= ${source:Version}), 
  libtexlua52 (<< ${source:Version}.1~), 
  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc], 
  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc], 
  ${shlibs:Depends}, ${misc:Depends}, 
  tex-common (>= 6), perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base, python, ruby, wish
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost, luatex (<< 2014)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2014), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 6)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsynctex1 (= ${binary:Version})
Description: Tex Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: libtexlua52
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: Lua 5.2, modified for use with LuaTeX
 The Lua 5.2 library as used within LuaTeX.

Package: libtexlua52-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtexlua52 (= ${binary:Version})
Description: Tex Live: Lua 5.2, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexluajit2
Section: libs
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX
 The LuaJIT library as used within LuaJITTeX.

Package: libtexluajit-dev
Section: libdevel
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc
Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
Description: Tex Live: LuaJIT, modified for use with LuaJITTeX (development part)
 This package contains the static library and header files for the texluajit
 library.

Package: luatex
Section: oldlibs
Priority: extra
Architecture: all
Depends: texlive-binaries (>= 2014)
Description: TeX Live: transitional dummy package
 This is a transitional package for luatex to ensure proper upgrade
 to texlive-binaries. It can be safely removed after the installation
 is complete.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # all cases. We have now two ways to test for where to build.
 # One by disabling on the other platforms, one by whitelisting
 # and building only on some platforms.
-LUAJIT_FAIL_ARCHS := s390x hppa arm64 ppc64 ppc64el x32 mips64 mips64el m68k
 LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc 
 
 # In case one wants to build with old automake (<< 1.13.1), the following
@@ -34,18 +33,15 @@
   export CXXFLAGS = -O1
 endif
 
-# for blacklisting bad archs
-#ifneq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_FAIL_ARCHS)))
-#  DISABLE_JIT=--disable-luajittex
-#endif
-
 # for whitelisting good archs
 ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
   # it is not in the list of good archs -> disable luajittex
   BUILDLUAJITTEX=--disable-luajittex
+  WITHLUAJIT=no
 else
   # not necessary, but for completeness
   BUILDLUAJITTEX=--enable-luajittex
+  WITHLUAJIT=yes
 endif
 
 #
@@ -76,6 +72,17 @@
 #	--with-system-libpng			\
 #	--with-system-gd			\
 #	--with-system-cairo 			\
+#
+# poppler is used two times in TeX Live:
+# once for pdftex/xetex
+# once for luatex
+# - the pdftex/xetex version is controlled via --with-system-xpdf
+# - the luatex version is controlled via --with-system-poppler
+# As poppler in Debian is too old for luatex, we need to use
+#	--without-system-poppler
+# but keep build-dep on poppler and use
+#	--with-system-xpdf
+# so that as much as possible is built from system libs.
 #
 
 # disable-largefile seems to break omegafonts, as they core dump
@@ -96,8 +103,6 @@
 	--enable-shared				\
 	--with-system-zlib			\
 	--with-system-zzlib			\
-	--with-system-xpdf			\
-	--with-system-poppler			\
 	--with-system-potrace			\
 	--with-system-graphite2			\
 	--with-system-harfbuzz 			\
@@ -108,6 +113,8 @@
 	--with-system-icu			\
 	--with-system-gmp			\
 	--with-system-mpfr			\
+	--without-system-poppler		\
+	--with-system-xpdf			\
 	--with-x				\
 	--with-mf-x-toolkit			\
 	--with-xdvi-x-toolkit=xaw		\
@@ -155,7 +162,14 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_install:
-	dh_install --sourcedir=$(CURDIR)/debian/tmp
+	# remove .la files which we do not install, so that dh_install
+	# can work with --fail-missing
+	rm -f debian/tmp/usr/lib/*.la
+	# mv c-auto.h back into /usr/include/kpathsea
+	# we don't support this kind of arch-separation by now
+	mv debian/tmp/usr/lib/kpathsea/c-auto.h debian/tmp/usr/include/kpathsea/
+	rmdir debian/tmp/usr/lib/kpathsea
+	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
 	# replace xdvi wrapper shell script with perl variant to
 	# allow for opening of gz etc files
 	rm debian/texlive-binaries/usr/bin/xdvi
@@ -190,6 +204,12 @@
 	dh_installdocs -plibsynctex1 -plibsynctex-dev \
 		texk/web2c/synctexdir/README.txt	\
 		texk/web2c/synctexdir/synctex_parser_readme.txt
+	#dh_installdocs -plibtexlua52 -plibtexlua52-dev \
+	#	NOTHING TO INSTALL
+ifeq ($(WITHLUAJIT), yes)
+	dh_installdocs -plibtexluajit2 -plibtexluajit-dev \
+		libs/luajit/LuaJIT-2.?.?-PATCHES/TL-Changes
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs
@@ -199,6 +219,12 @@
 		texk/ptexenc/ChangeLog
 	dh_installchangelogs -plibsynctex1 -plibsynctex-dev \
 		texk/web2c/synctexdir/ChangeLog
+	dh_installchangelogs -plibtexlua52 -plibtexlua52-dev \
+		libs/lua52/lua-5.?.?-PATCHES/ChangeLog
+ifeq ($(WITHLUAJIT), yes)
+	dh_installchangelogs -plibtexluajit2 -plibtexluajit-dev \
+		libs/luajit/LuaJIT-2.?.?-PATCHES/ChangeLog
+endif
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -207,12 +233,9 @@
 	dh_makeshlibs -plibkpathsea6
 	dh_makeshlibs -plibptexenc1
 	dh_makeshlibs -plibsynctex1
-
-override_dh_shlibdeps:
-	dh_shlibdeps \
-		-l debian/libkpathsea6/usr/lib \
-		-l debian/libptexenc1/usr/lib \
-		-l debian/libsynctex1/usr/lib
-
-override_dh_clean:
-	dh_clean -X.orig
+	dh_makeshlibs -plibtexlua52
+ifeq ($(WITHLUAJIT), yes)
+	dh_makeshlibs -plibtexluajit2
+endif
+
+SHLIBDEPS = -l debian/libkpathsea6/usr/lib \
